Deployments
List deployment requests
GET
/
v1
/
deployments
/
{deployment_id}
/
requests
List deployment requests
curl --request GET \
--url https://api.veri.studio/v1/deployments/{deployment_id}/requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/deployments/{deployment_id}/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/deployments/{deployment_id}/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"deployment_id": "<string>",
"prompt_tokens": 123,
"cached_prompt_tokens": 123,
"completion_tokens": 123,
"streamed": true,
"usage_reported": true,
"latency_ms": 123,
"status_code": 123,
"created_at": "2023-11-07T05:31:56Z",
"replica_id": "<string>",
"adapter_serve_name": "<string>",
"model_version_id": "<string>",
"thread_id": "<string>",
"agent_name": "<string>",
"turn_index": 123,
"tool_names": [
"<string>"
],
"ttfb_ms": 123,
"ttft_ms": 123,
"e2e_latency_ms": 123,
"generation_ms": 123,
"tpot_ms": 123,
"request_bytes": 123,
"response_bytes": 123,
"finish_reason": "<string>",
"error_category": "<string>",
"error_message": "<string>",
"client_cancelled": true,
"client_disconnected": true,
"completed_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Deployment ID
Query Parameters
Restrict to requests served by one replica of the deployment (404 when the replica doesn't belong to it). Omitted = all replicas.
Who issued the requests: api (default, your production traffic) or
eval (calls Veri evaluations and experiments made to this
deployment). Eval traffic is recorded but kept out of the default
listing, the metrics endpoints and the request counters.
Who issued a request: api (your own API traffic) or eval (calls Veri
evaluators and experiments made to the deployment).
Available options:
api, eval List deployment requests
curl --request GET \
--url https://api.veri.studio/v1/deployments/{deployment_id}/requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/deployments/{deployment_id}/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/deployments/{deployment_id}/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"deployment_id": "<string>",
"prompt_tokens": 123,
"cached_prompt_tokens": 123,
"completion_tokens": 123,
"streamed": true,
"usage_reported": true,
"latency_ms": 123,
"status_code": 123,
"created_at": "2023-11-07T05:31:56Z",
"replica_id": "<string>",
"adapter_serve_name": "<string>",
"model_version_id": "<string>",
"thread_id": "<string>",
"agent_name": "<string>",
"turn_index": 123,
"tool_names": [
"<string>"
],
"ttfb_ms": 123,
"ttft_ms": 123,
"e2e_latency_ms": 123,
"generation_ms": 123,
"tpot_ms": 123,
"request_bytes": 123,
"response_bytes": 123,
"finish_reason": "<string>",
"error_category": "<string>",
"error_message": "<string>",
"client_cancelled": true,
"client_disconnected": true,
"completed_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}
